org.codehaus.plexus.component.repository

## Class ComponentSetDescriptor

- java.lang.Object
- - org.codehaus.plexus.component.repository.ComponentSetDescriptor

    public class ComponentSetDescriptor
    extends Object

Version:
  $Id: ComponentSetDescriptor.java 1323 2004-12-20 23:00:59Z jvanzyl $
Author:
  Jason van Zyl, Trygve Laugstøl

### Constructor Summary

Constructors
Constructor and Description
`ComponentSetDescriptor()`

### Method Summary

Methods
`void` `addComponentDescriptor(ComponentDescriptor cd)`
`void` `addDependency(ComponentDependency cd)`
`List` `getComponents()`
`List` `getDependencies()`
`String` `getId()`
`boolean` `isIsolatedRealm()`
`void` `setComponents(List components)`
`void` `setDependencies(List dependencies)`
`void` `setId(String id)`
`void` `setIsolatedRealm(boolean isolatedRealm)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ComponentSetDescriptor

    public ComponentSetDescriptor()

### Method Detail

#### getComponents

    public List getComponents()

#### addComponentDescriptor

    public void addComponentDescriptor(ComponentDescriptor cd)

#### setComponents

    public void setComponents(List components)

#### getDependencies

    public List getDependencies()

#### addDependency

    public void addDependency(ComponentDependency cd)

#### setDependencies

    public void setDependencies(List dependencies)

#### setIsolatedRealm

    public void setIsolatedRealm(boolean isolatedRealm)

#### isIsolatedRealm

    public boolean isIsolatedRealm()

#### getId

    public String getId()

#### setId

    public void setId(String id)